One-shot envelope of every mock analytics pipe
GET
/
v1
/
analytics
/
mocks
/
dashboard
One-shot envelope of every mock analytics pipe
curl --request GET \
--url https://api-sandbox.featherhq.com/v1/analytics/mocks/dashboard \
--header 'x-api-key: <api-key>'import requests
url = "https://api-sandbox.featherhq.com/v1/analytics/mocks/dashboard"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api-sandbox.featherhq.com/v1/analytics/mocks/dashboard', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"summary": [
{
"requests": 123,
"matched_requests": 123,
"errors": 123,
"match_rate": 123,
"error_rate": 123,
"avg_latency_ms": 123,
"p95_latency_ms": 123
}
],
"requests": [
{
"time_bucket": "2023-11-07T05:31:56Z",
"requests": 123,
"matched_requests": 123,
"errors": 123
}
],
"latency": [
{
"time_bucket": "2023-11-07T05:31:56Z",
"requests": 123,
"avg_latency_ms": 123,
"p50_latency_ms": 123,
"p95_latency_ms": 123,
"p99_latency_ms": 123
}
],
"match_rate": [
{
"time_bucket": "2023-11-07T05:31:56Z",
"requests": 123,
"matched_requests": 123,
"match_rate": 123
}
],
"top_scenarios": [
{
"scenario_id": "<string>",
"scenario_name": "<string>",
"requests": 123,
"avg_latency_ms": 123,
"p95_latency_ms": 123
}
]
}{
"error": "<string>",
"message": "<string>",
"retryable": true,
"retry_after": 123
}{
"error": "<string>",
"message": "<string>",
"retryable": true,
"retry_after": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Query Parameters
Pattern:
^(minute|hour|day|week)$Required range:
1 <= x <= 100Response
Successful Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I
One-shot envelope of every mock analytics pipe
